$conflictBarColor:              $color-errorRed;
$numberofappointmentBarColor:   $color-grey-dark;
$appointmentBarColor:           $color-blue-light;
$openingBarColor:               $color-green-light;
$timelineLineColor:             $color-line;
$boardHeaderBlue:               $color-decorative-primary;

$conflictBarTop:                5rem;
$numberofappointmentBarTop:     10rem;
$appointmentBarTop:             17rem;
$openingBarTop:                 21rem;


.availability-timetable {
    
    // @extend .board;
    > .body {
        //@extend .board_body--white;
    }
    
    position:               relative;
    margin-bottom:          $gridGutter * 2;
    //line-height:            $inuit-base-line-height;
    
    .availability-timetable_container {
        position:               relative;
        height:                 360px;
        height:                 26rem;
        max-width:              100%;
        overflow-y:             hidden;
        overflow-x:             scroll;
        .inner {
            width:              24em;
            height:             100%;
            .background-level {
                position:       absolute;
                top:            0;
                left:           0;
                height:         100%;
                width:          100%;
                .time-level_item {
                    width:              1em;
                    position:           absolute;
                    top:                0;
                    height:             89%;
                    border-left:        1px solid $timelineLineColor;
                    margin:             1.5rem 0;
                    .time-level_item--top {
                        top:                -1.5rem;
                    }
                    .time-level_item--bottom {
                        bottom:             -1.5rem;
                    }
                    .time-level_item--bottom,
                    .time-level_item--top {
                        position:           absolute;
                        text-align:         left;
                        left:               -1.1rem;
                        width:              100%;
                        font-size:          $base-font-size;
                        line-height:        $base-line-height;
                    }
                }
            }
            .bars {
                position:           relative;
                bottom:             0;
                left:               0;
                top:                auto;
                right:              auto;
                border-bottom:      1px solid;
                .item-bar { 
                    //min-height:         20px;
                    //min-height:         1.5rem;
                    box-sizing:         content-box;
                    position:           absolute;
                    color:              $color-text-base;
                    text-decoration:    none;
                    overflow:           visible;
                    bottom:             0;
                    .item-bar_inner {
                        left:           5px;
                        position:       absolute;
                        top:            0;
                        font-size:      $base-font-size;
                        line-height:    $base-line-height;
                    }
                    &.selected .item-bar_inner:before{
                        content: "✎ ";
                        padding-right: 0.5em;
                    }
                    &.selected:after {
                        content: '\A';
                        position: absolute;
                        width: 100%;
                        height: 100%;
                        background: $boardHeaderBlue;
                        opacity: 0.1;
                    }
                }
                a.item-bar { 
                    &:hover {
                        opacity: 0.5;
                    }
                }
                &.conflict-level {
                    //top:                70px;
                    top:                $conflictBarTop;
                    border-color:       rgba($conflictBarColor, 1);
                    .item-bar {
                        background:     lighten($conflictBarColor,30%);//rgba($conflictBarColor, 0.5);
                        color:          #333;
                        min-height:     2rem;
                        min-width:      1rem;
                    }
                }
                &.numberofappointment-level {
                    //top:                120px;
                    top:                $numberofappointmentBarTop;
                    border-color:       rgba($numberofappointmentBarColor, 1);
                    .item-bar {
                        background:         rgba($numberofappointmentBarColor, 0.3);
                        overflow:           visible;
                        height:             3rem;
                        .busy-bar {
                            background:     rgba($numberofappointmentBarColor, 0.7);
                            bottom:         0;
                            position:       absolute;
                            top:            auto;
                            width:          100%;
                            display:        block;
                        }
                        .item-bar_inner {
                            bottom:     0;
                            top:        auto;
                            color:      #333;
                        }
                    }
                }
                &.appointment-level {
                    //top:                230px;
                    top:                $appointmentBarTop;
                    border-color:       rgba($appointmentBarColor, 1);
                    .item-bar {
                        background:     rgba($appointmentBarColor, 0.2);
                        color:          $color-white;
                        //height:         1rem;
                        border-top:     $base-font-size solid  rgba($appointmentBarColor, 0.7);
                        border-top:     1.5rem solid rgba($appointmentBarColor, 0.7);
                        .item-bar_inner {
                            top:        $base-font-size solid;
                            top:        -1.5rem;
                        }
                    }
                }
                &.opening-level {
                    //top:                295px;
                    top:                $openingBarTop;
                    border-color:       rgba($openingBarColor, 1);
                    .item-bar {
                        background:     rgba($openingBarColor, 0.2);
                        //height:         1rem;
                        border-top:     $base-font-size solid rgba($openingBarColor, 0.7);
                        border-top:     1.5rem solid rgba($openingBarColor, 0.7);
                        .item-bar_inner {
                            top:        $base-font-size solid;
                            top:        -1.5rem;
                        }
                    }
                }
            }
        }
    }
    
     .availability-timetable_legend {
        position:               relative;
        .legend__item{
            position:           absolute;
            right:              0;
            text-align:         right;
            margin-right:       -0.8em;
            margin-top:         -0.7em;
            font-weight:        bold;
            font-size:          0.95em;
            &.legend_conflict {
                top:            $conflictBarTop;
            }
            &.legend_numberofappointment {
                top:            $numberofappointmentBarTop;
            }
            &.legend_appointment {
                top:            $appointmentBarTop;
            }
            &.legend_opening {
                top:            $openingBarTop;
            }
        }
    }
    
}




